/* 1. Definieren Sie eine Funktion, welche die Summe der Zahlen von 1 bis zu
einer vorgegebenen Zahl k liefert. Im Hauptprogramm sind innerhalb einer
Schleife jeweils eine Zahl einzulesen, die Funktion aufzurufen und der
Funktionswert auszugeben bis eine 0 eingegeben wird!
------------------------------------------------------------------------------*/
#include <stdlib.h>
int summe( int k )    /* return-Typ, Bezeichnung der Funktion, (Parameterliste)*/
{  int i, sum;                   /* lokale Variablen */
   sum= 0;
   for( i=1; i<=k; i++) sum= sum + i;
   return sum;
}
int main()
{  int n, x;

   do{ printf("\n Summe von 1 bis? : ");
       scanf("%i", &n);
       if( n>0)
       {  x= summe( n);
          printf("\n Summe 1 bis %i = %i\n\n", n, x);

          n= summe( x);
          printf("\n Summe 1 bis %i = %i\n\n", x, n);
       }
   }while( n!=0);

   printf("\n Summe von 1 bis 100 = %i\n\n", summe(100) );
    system("PAUSE");     return 0;
}
